Page MenuHomePhabricator

Say "Your edit has been saved" instead of "The page has been restored" when editing an oldid that happens to also be the current
Closed, DuplicatePublic1 Story Points

Description

I am on an article on fr.wikipedia.org
I go to the history of the article.
I click on the link, with the date and time, for the current version.
I get the current version of the article.
I click modifier
I get the Web visual editor of Wikipedia.
I do a change.
I save my edit. Or, variant: I switch to the wikicode editor with keeping my changes, I do a change and I save my edit.

My edit gets saved.

I get the brief message: "La page a été restaurée" ("The page has been restored").

This is incorrect and disturbing. I did not restore anything. I edited the last version of the page.

It would be better to show the usual message instead: "Votre modification a été enregistrée" ("Your edit has been saved"). This message would be correct.

Thank you for correcting this bug.

Nnemo

Event Timeline

Nnemo created this task.Nov 4 2015, 9:13 AM
Nnemo raised the priority of this task from to Needs Triage.
Nnemo updated the task description. (Show Details)
Nnemo added a subscriber: Nnemo.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 4 2015, 9:13 AM
Nnemo awarded a token.Nov 4 2015, 9:13 AM
Liuxinyu970226 set Security to None.Nov 4 2015, 9:44 AM

The introduction of a different text was explicitly requested, because if you're undoing someone's edit it's not "your edit" that was saved. Can you argue with them and agree?

Aklapper changed the task status from Open to Stalled.Nov 5 2015, 10:54 AM
Aklapper triaged this task as Lowest priority.
Nnemo added a comment.Nov 9 2015, 12:18 PM

The introduction of a different text was explicitly requested, because if you're undoing someone's edit it's not "your edit" that was saved.

But I am not undoing someone's edit. I am editing the current version of the article.

Jdforrester-WMF renamed this task from Say "Your edit has been saved" instead of "The page has been restored" to Say "Your edit has been saved" instead of "The page has been restored" when editing an oldid that happens to also be the current.Nov 12 2015, 3:58 PM
Jdforrester-WMF changed the task status from Stalled to Open.

The introduction of a different text was explicitly requested, because if you're undoing someone's edit it's not "your edit" that was saved.

But I am not undoing someone's edit. I am editing the current version of the article.

Ah, I see. OK.

MtDu added a subscriber: MtDu.Jan 1 2016, 1:44 PM

I'll fix this. :)

Devirk claimed this task.Jan 5 2016, 1:34 PM

Change 262701 had a related patch set uploaded (by Devirk):
Reworded the message when editing the current version of an article

https://gerrit.wikimedia.org/r/262701

ori removed Devirk as the assignee of this task.Apr 7 2016, 6:40 PM
ori added subscribers: Esanders, AlexMonk-WMF, Devirk, ori.

This just happened to me on mediawikiwiki when editing Wikimedia Engineering/2015-16 Q4 Goals. I agree that it is incorrect and disturbing.

As @Jdforrester-WMF said on Gerrit, Devirk's patch does not fix the bug. The bug is that VisualEditor misclassifies an edit to the most recent revision of an article. The code that makes that determination was last touched by @Esanders in rEVED9a347220bcc9: Target loading: Only parse oldid if it is non-null, AFAICT.

Was T130810 (which we recently fixed) a dupe of this?

ori added a comment.Apr 8 2016, 1:34 AM

Yes, it looks like it. I encountered this bug five hours ago on mediawikiwiki, so it must not be fully fixed. Note that the change by Ed which I mentioned above touched the same code after the fix was applied.

Side note: using '!!' in compound conditional expressions is really confusing.

AlexMonk-WMF closed this task as Resolved.Apr 15 2016, 12:58 AM
AlexMonk-WMF claimed this task.

I just tested this again on both localhost and mediawiki.org, and got the expected behaviour each time.

Jdforrester-WMF set the point value for this task to 1.Apr 28 2016, 1:32 AM

Change 262701 abandoned by Aklapper:
Reworded the message when editing the current version of an article

Reason:
Superseded / fixed by https://gerrit.wikimedia.org/r/#/c/279576/

https://gerrit.wikimedia.org/r/262701